> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transcoding Profiles

> List all transcoding profiles for a library



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/openapi.json get /libraries/{libraryId}/transcoding/profiles
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1/vidinfra
    description: Production server
security:
  - bearer: []
tags:
  - name: Library
  - name: Folder
  - name: Video
  - name: Subtitle
  - name: Video Thumbnails
  - name: Transcoding Profiles
  - name: Player Themes
  - name: Video Chapter
  - name: Webhook Endpoints
  - name: Webhook Deliveries
  - name: Security
  - name: Video Multipart Upload
  - name: Webhook
  - name: Migration Jobs
paths:
  /libraries/{libraryId}/transcoding/profiles:
    get:
      tags:
        - Transcoding Profiles
      summary: List Transcoding Profiles
      description: List all transcoding profiles for a library
      parameters:
        - name: libraryId
          in: path
          description: Unique identifier of the library.
          required: true
          example: 314221a1-3cbf-4d3c-846e-f6c22bc43064
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        updated_at:
                          type: string
                        created_at:
                          type: string
                        created_by:
                          type: string
                        updated_by:
                          type: string
                        deleted_at:
                          type: string
                        transcoding:
                          type: object
                          properties:
                            format:
                              type: string
                            resolution:
                              type: array
                              items:
                                type: string
                            video_codec:
                              type: array
                              items:
                                type: string
                            image_overlay:
                              type: object
                              properties:
                                url:
                                  type: string
                                position:
                                  type: string
                                opacity:
                                  type: number
                              required:
                                - url
                                - position
                                - opacity
                            thumbnail:
                              type: object
                              properties:
                                mode:
                                  type: string
                                format:
                                  type: string
                                count:
                                  type: integer
                                spritesheet:
                                  type: boolean
                              required:
                                - mode
                                - format
                                - count
                                - spritesheet
                            generate_subtitles:
                              type: object
                              properties:
                                audio_language:
                                  type: string
                                subtitle_language:
                                  type: string
                              required:
                                - audio_language
                                - subtitle_language
                            encryption:
                              type: object
                              properties:
                                enabled:
                                  type: boolean
                                method:
                                  type: string
                                key_url:
                                  type: string
                              required:
                                - enabled
                                - method
                                - key_url
                            drm:
                              type: object
                              properties:
                                enabled:
                                  type: boolean
                                providers:
                                  type: string
                                license_servers:
                                  type: string
                              required:
                                - enabled
                                - providers
                                - license_servers
                            mp4_access:
                              type: boolean
                            keep_original:
                              type: boolean
                          required:
                            - format
                            - resolution
                            - video_codec
                            - image_overlay
                            - thumbnail
                            - generate_subtitles
                            - encryption
                            - drm
                            - mp4_access
                            - keep_original
                        name:
                          type: string
                        description:
                          type: string
                        id:
                          type: string
                        organization_id:
                          type: string
                        library_id:
                          type: string
                  meta:
                    type: object
                    properties:
                      links:
                        type: object
                        properties:
                          self:
                            type: string
                          first:
                            type: string
                          last:
                            type: string
                        required:
                          - self
                          - first
                          - last
                      pagination:
                        type: object
                        properties:
                          page:
                            type: integer
                          page_size:
                            type: integer
                          total:
                            type: integer
                          total_pages:
                            type: integer
                        required:
                          - page
                          - page_size
                          - total
                          - total_pages
                    required:
                      - links
                      - pagination
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - data
                  - meta
                  - message
                  - success
              example:
                data:
                  - updated_at: '2025-10-14T13:08:41.051464Z'
                    created_at: '2025-10-14T13:08:41.051464Z'
                    created_by: 2fa3fe27-ffcd-470b-becf-83f6f22a93ab
                    updated_by: null
                    deleted_at: null
                    transcoding:
                      format: abr
                      resolution:
                        - 240p
                        - 360p
                        - 720p
                        - 1080p
                      video_codec:
                        - h264
                      image_overlay:
                        url: https://cdn.vidinfra.com/watermark.png
                        position: bottom-right
                        opacity: 0.8
                      thumbnail:
                        mode: auto
                        format: jpg
                        count: 6
                        spritesheet: true
                      generate_subtitles:
                        audio_language: ''
                        subtitle_language: null
                      encryption:
                        enabled: false
                        method: ''
                        key_url: ''
                      drm:
                        enabled: false
                        providers: null
                        license_servers: null
                      mp4_access: false
                      keep_original: false
                    name: Vidinfra Ultra Secure Profile
                    description: >-
                      4K adaptive bitrate profile with AES encryption and
                      subtitle generation.
                    id: 4ee8ef4f-c541-48a8-a8cf-9b43dfd9d5f3
                    organization_id: 677826f5-1aea-4cba-8973-043cdbc60f35
                    library_id: 68f168f4-ccae-4c01-9e70-432604c364c4
                meta:
                  links:
                    self: >-
                      /libraries/68f168f4-ccae-4c01-9e70-432604c364c4/transcoding/profiles?limit=20&page=1
                    first: >-
                      /libraries/68f168f4-ccae-4c01-9e70-432604c364c4/transcoding/profiles?limit=20&page=1
                    last: >-
                      /libraries/68f168f4-ccae-4c01-9e70-432604c364c4/transcoding/profiles?limit=20&page=1
                  pagination:
                    page: 1
                    page_size: 20
                    total: 1
                    total_pages: 1
                message: Transcoding Profiles Fetched Successfully
                success: true
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Invalid Request
                success: false
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - code
                  - message
                  - success
              example:
                code: auth_type_not_found
                message: >-
                  Could not determine authentication type from request. Please
                  provide a valid Authorization header or X-API-Key header.
                success: false
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Resource not found
                success: false
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Internal server error
                success: false
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````